glibc (2.43-2ubuntu2.3) resolute-security; urgency=medium

  * SECURITY UPDATE: assertion failure via IBM1390 or IBM1399 charsets
    - debian/patches/CVE-2026-4046.patch: Use pending character state in
      IBM1390, IBM1399 character sets in iconvdata/Makefile,
      iconvdata/ibm1364.c, iconvdata/tst-bug33980.c.
    - CVE-2026-4046
  * SECURITY UPDATE: out-of-bounds write in deprecated debugging function
    - debian/patches/CVE-2026-5435.patch: resolv: More types as unknown in
      ns_sprintrrf in resolv/ns_print.c.
    - CVE-2026-5435
  * SECURITY UPDATE: one byte heap buffer overflow in scanf %mc
    - debian/patches/CVE-2026-5450.patch: stdio-common: Fix buffer overflow in
      scanf %mc [BZ #34008] in stdio-common/Makefile, stdio-common/tst-vfscanf-
      bz34008.c, stdio-common/vfscanf-internal.c.
    - CVE-2026-5450
  * SECURITY UPDATE: crash or info disclosure in ungetwc function
    - debian/patches/CVE-2026-5928.patch: libio: Fix ungetwc operating on byte
      stream in libio/Makefile, libio/bug-wgenops-bz33998.c, libio/wgenops.c.
    - CVE-2026-5928
  * SECURITY UPDATE: crash in deprecated debugging functions
    - debian/patches/CVE-2026-6238-pre1.patch: resolv: Declare __p_class_syms,
      __p_type_syms for internal use in include/resolv.h, resolv/res_debug.c.
    - debian/patches/CVE-2026-6238-pre2.patch: resolv: Fix ns_sprintrrf
      formatting of class, type values in resolv/ns_print.c.
    - debian/patches/CVE-2026-6238-pre3.patch: resolv: Improve formatting of
      unknown records in ns_sprintrrf in resolv/ns_print.c.
    - debian/patches/CVE-2026-6238-pre4.patch: resolv: Check for inet_ntop
      failure in ns_sprintrrf in resolv/ns_print.c.
    - debian/patches/CVE-2026-6238-1.patch: resolv: Fix buffer overreads in
      ns_sprintrrf in resolv/ns_print.c.
    - debian/patches/CVE-2026-6238-2.patch: resolv: Add test case tst-
      ns_sprintrr in resolv/Makefile, resolv/tst-ns_sprintrr.c.
    - CVE-2026-6238
  * Disable failing tests because of rust-coreutils (LP: 2161727)
    - debian/testsuite-xfail-debian.mk: added tst-spawn-chdir and
      tst-spawn-chdir-pidfd.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Jul 2026 13:24:47 -0400

glibc (2.43-2ubuntu2) resolute; urgency=medium

  * Merge from Debian experimental
    Delta dropped:
    - Fix broken ldconfig, static-pie binary on riscv64 (LP #2142067)
    - build: use date --rfc-email for Rust coreutils compat (LP #2122100)
  * Delta added:
    - fix ftbfs: backport conditional OPEN_TREE_* ifndef (LP: #2145679)
    - Revert "debian/rules.d/build.mk: add a makefile function to filter out
      dpkg build flags incompatible with glibc and define CFLAGS from dpkg
       build flags. Closes: #1129746."
  * import git-updates
    - nss: Introduce dedicated struct nss_database_for_fork type
    - Linux: In getlogin_r, use utmp fallback only for specific errors
    - nss: Missing checks in __nss_configure_lookup, __nss_database_get (bug 28940)
    - debug: Fix build with --enable-fortify-source=1 (BZ 33904)
    - Add BZ 33904 entry to NEWS
    - malloc: Avoid accessing /sys/kernel/mm files
    - tests: aarch64: fix makefile dependencies for dlopen tests for BTI
    - aarch64: Lock GCS status at startup
    - aarch64: Tests for locking GCS
    - posix: Run tst-wordexp-reuse-mem test
    - resolv: Count records correctly (CVE-2026-4437)
    - resolv: Check hostname for validity (CVE-2026-4438)
    - elf: parse /proc/self/maps as the last resort to find the gap for tst-link-map-contiguous-ldso
    - elf: Use dl-symbol-redir-ifunc.h instead _dl_strlen
    - riscv: Resolve calls to memcpy using memcpy-generic in early startup
    - tests: fix tst-rseq with Linux 7.0

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 31 Mar 2026 16:35:10 -0400

glibc (2.43-2ubuntu1) resolute; urgency=medium

  * Merge from Debian experimental (LP: #2143767)
    Delta dropped:
    - Don't strip ld.so on armhf. LP #1927192.
    - Enable systemtap support, which is currently disabled in Debian.
    - Fix gconv regression on i386
    - Stop building with --enable-sframe for now.
    - s390x: drop the 32-bit multi-arch variant (LP #2067350)
  * Fixed upstream:
    - NPTL: Optimize trylock for high cache contention workloads (LP: #2138256) 
  * Update from upstream:
    - Don't include <bits/openat2.h> directly
    - po: Incorporate translatins (nl updated, ar new)
  * d/watch: modernize watchfile delta to v5
  * Fix broken ldconfig, static-pie binary on riscv64
    Revert RVV memset variant patch. (LP: #2142067)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 17 Feb 2026 16:52:35 -0500

glibc (2.43-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update hurd results.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix redefinition of 'struct open_how' when cross compiling.
    - Avoid accessing /sys/kernel/mm files during malloc on arm64.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Mar 2026 12:50:41 +0100

glibc (2.43-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - debian/copyright: update following upstream changes.
    - debian/symbols.wildcards: add 2.43.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: rebased.
    - debian/patches/hurd-i386/git-sigreturn-SEGV.diff: upstreamed.
    - debian/patches/hurd-i386/git-rlimit-as.diff: upstreamed.
    - debian/patches/hurd-i386/git-run-iconv-test.sh.diff: upstreamed.
    - debian/patches/hurd-i386/git-elf-ordering.diff: upstreamed.
    - debian/patches/hurd-i386/git-rename.diff: upstreamed.
    - debian/patches/hurd-i386/git-signal-SSE-MMX.diff: upstreamed.
    - debian/patches/hurd-i386/git-sigreturn-xmm.diff: upstreamed.
    - debian/patches/hurd-i386/git-cancel-stack.diff: upstreamed.
    - debian/patches/i386/unsubmitted-quiet-ldconfig.diff: rebased.
    - debian/patches/any/local-asserth-decls.diff: rebased.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
    - debian/patches/any/submitted-nptl-invalid-td.patch: drop, obsolete.
    - debian/patches/any/git-ldd-set-u.diff: upstreamed.
    - debian/patches/any/git-linux-termios.diff: upstreamed.
    - debian/patches/hurd-i386/submitted-net.diff: rebased.
    - debian/patches/hurd-i386/tg-bits_atomic.h_multiple_threads.diff: drop,
      obsolete.
    - debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: rebased.
    - debian/patches/hurd-i386/local-fix-nss.diff: rebased.
    - debian/libc0.3.symbols.hurd-i386: update following the move of symbols
      from libpthread.so.0.3 to libc.so.0.3.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jan 2026 22:35:15 +0100

glibc (2.42-14) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-mach_send_eintr.diff: Fix assertion failure
    on eintr during message send.
  * debian/patches/hurd-i386/git-itimer-lock.diff: Fix setitimer mutex
    inversion.
  * debian/patches/hurd-i386/git-posix-timers.diff: Set _POSIX_TIMERS to
    200809L.  Closes: #1128631.
  * debian/patches/hurd-i386/sig-alarm.diff: Fix it_interval in setitimer, thus
    alarm too, on hurd-amd64.
  * debian/patches/hurd-i386/git-libio-mtsafe.diff: Fix mt-safeness of libio.
  * debian/patches/hurd-i386/git-cancel-sig.diff: Complete fix.
  * debian/patches/hurd-i386/git-timedrwlock-unlock.diff: Fix race between
    timedrd/wrlock and unlock.
  * debian/patches/hurd-i386/git-sigtimedwait-timeout.diff: Fix cleaning on
    sigtimedwait timing out.
  * debian/testsuite-xfail-debian.mk: Update for 2.44.

  [ Aurelien Jarno ]
  * debian/sysdeps/mips*.mk: rename extra passes to matche the dpkg
    architecture name.
  * debian/rules.d/build.mk: add a makefile function that queries the dpkg
    build flags for the current pass.
  * debian/rules.d/build.mk: enable stack protection depending on
    -fstack-protector* flags returned by dpkg-buildflags.
  * debian/rules.d/build.mk: add a makefile function to filter out dpkg build
    flags incompatible with glibc and define CFLAGS from dpkg build flags.
    Closes: #1129746.
  * debian/control.in/{libc,i386}: downgrade the libdpkg-dev break to the
    trixie version now that bug#1122107 got fixed in trixie. Also apply it to
    amd64 and x32, as they are also using symbol versions used as ABI flag.
    Limit the break to libc6, multilib packages will get the break
    transitively through the strict depends.
  * debian/symbols.wildcards: adjust ABI flags version, we need to match the
    first version where the flag got introduced, not the first version where
    the fix got introduced.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a null pointer dereference in the nss_database_check_reload_and_get
      function.
    - Fix invalid pointer arithmetic in ANSI_X3.110 iconv module
    - Fix a typo preventing new tst-wordexp-reuse-mem to run
    - Fix incorrect handling of DNS responses in gethostbyaddr and
      gethostbyaddr_r (CVE-2026-4437).  Closes: #1131435.
    - Fix invalid DNS hostnames returned by gethostbyaddr and
      gethostbyaddr_r (CVE-2026-4438).  Closes: #1131887.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Mar 2026 22:08:16 +0100

glibc (2.42-13) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: ignore new tst-pie-bss-static issue on
    hurd for now.

  [ Aurelien Jarno ]
  * debian/control: regenerate.  Closes: #1127589.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Feb 2026 18:54:23 +0100

glibc (2.42-12) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-fork-gdb.diff: Fix gdb after fork.
  * debian/patches/hurd-i386/local-execstack.diff: Drop, fixed in binutils.
  * debian/patches/hurd-i386/git-sig-sig-mmx-fix.diff: Fix mmx corruption on
    double-signal.
  * debian/patches/hurd-i386/local-intr-msg-clobber.diff: Drop, now fixed.
  * debian/patches/hurd-i386/git-cancel-sig.diff: Fix cancellation points in
    signals during cancellation points.
  * debian/testsuite-xfail-debian.mk: Update accordingly.

  [ Aurelien Jarno ]
  * debian/control.in/*, debian/glibc-source.filelist,
    debian/libc6-s390.symbols.s390x, debian/rules.d/control.mk,
    debian/sysdeps/s390x.mk: stop building a 31-bit multilib flavour on s390x.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Feb 2026 22:23:34 +0100

glibc (2.42-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-execstack.diff: Work around missing execstack
    on libc.so.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix bug in wordexp, which could return uninitialized memory when using
      WRDE_REUSE together with WRDE_APPEND (CVE-2025-15281).  Closes: #1126266.
    - Switch currency symbol for the bg_BG locale to euro.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 26 Jan 2026 23:40:35 +0100

glibc (2.42-10) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/sysdeps/{amd64,arm64,i386,x32}.mk: disable SFrame support.  Closes:
    #1125944.
  * debian/control.in/{main,libc}: drop versioned Build-Depends and Breaks on
    binutils 2.45, now pointless.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Jan 2026 20:12:24 +0100

glibc (2.42-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-cancel-stack.diff: Fix crash on cancellation
    with unaligned stack.

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: do not strip ld.so on armhf.  Closes:
    #1125796.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Jan 2026 11:52:41 +0100

glibc (2.42-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Avoid running tst-writev on hurd-amd64.
  * debian/patches/hurd-i386/git-sigreturn-xmm.diff: Fix sigreturn using xmm
    registers in the signal contention case.
  * debian/patches/hurd-i386/local-intr-msg-clobber.diff: Try to re-introduce
    mmx clobber work-around.
  * debian/testsuite-xfail-debian.mk: Update hurd results.

  [ Aurelien Jarno ]
  * debian/rules.d/build.mk: do not write BUILD_CXX to configparms, it's
    unused.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix and integer overflow in _int_memalign leading to heap corruption
      (CVE-2026-0861).  Closes: #1125678.
    - Fix stack contents leak in getnetbyaddr (CVE-2026-0915).  Closes:
      #1125748.
    - Optimize trylock for high cache contention workloads.

  [ Helmut Grohne ]
  * debian/control.in/main: avoid g++ dependency in nocheck builds.
  * debian/control.in/main, rules, rules.d/build.mk: don't build nscd in
    stage2.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Jan 2026 21:50:10 +0100

glibc (2.42-7) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/libc, debian/rules.d/debhelper.mk: drop libcrypt-dev
    dependency from libc6-dev. Thanks to Helmut Grohne for proposing that,
    doing an archive rebuild and filling the bug reports.
  * debian/control.in/main, debian/sysdeps/linux.mk: enable SystemTap static
    probes.
  * debian/debhelper.in/libc-dev.NEWS: add a NEWS entry about the removal of
    the obsolete termio interface.  Closes: #1124068.
  * debian/rules.d/debhelper.mk: ensure that linker scripts work even when
    /usr is unmerged.  Closes: #1120508
  * debian/debhelper.in/libc-dev{,-alt}.lintian-overrides,
    source/lintian-overrides, rules.d/debhelper.mk, salsa-ci.yml: drop
    unpack-message-for-{orig,source} overrides, fixed in lintian 2.128.0.
  * debian/control.in/main: drop Rules-Requires-Root: no, this is now the
    default.
  * debian/libc6.symbols.i386, debian/libc6-i386.symbols.{amd64,x32}: remove
    the workaround for GLIBC_ABI_GNU_TLS.  Closes: #1122038.
  * debian/control.in/{libc,i386}: ensure that libdpkg-perl is fixed wrt
    GLIBC_ABI_GNU_TLS.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Jan 2026 10:07:24 +0100

glibc (2.42-6) unstable; urgency=medium

  [ Benjamin Drung ]
  * debian/control: add new lines when concatenating files
  * Update debian/watch to version 5

  [ Aurelien Jarno ]
  * debian/symbols.wildcards: adjust ABI flags version:
    - Fix corresponding to GLIBC_ABI_DT_X86_64_PLT was first corrected in 2.36
    - Fix corresponding to GLIBC_ABI_GNU2_TLS as first corrected in 2.40
  * debian/control.in/libc, debian/control.in/main: remove breaks, conflicts
    and (build-)depends already satisfied in bookworm.
  * debian/control.in/amd64, debian/control.in/libc: add a Breaks against
    binutils (<< 2.45) for builds with sframe support enabled.
  * debian/control.in/main, debian/rules: build with GCC 15.
  * debian/patches/git-updates.diff: update from upstream stable branch.

  [ Baptiste Jammet ]
  * Update French debconf translation.  Closes: #1118006.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Dec 2025 18:37:16 +0100

glibc (2.42-5) unstable; urgency=medium

  [ Martin Bagge ]
  * Update Swedish debconf translation.  Closes: #1121991.

  [ Aurelien Jarno ]
  * debian/control.in/main: change libc-gconv-modules-extra to Multi-Arch:
    same as it contains libraries.
  * debian/libc6.symbols.i386, debian/libc6-i386.symbols.{amd64,x32}: force
    the minimum libc6 version to >= 2.42, to ensure GLIBC_ABI_GNU_TLS is
    available, given symbols in .gnu.version_r section are currently not
    handled by dpkg-shlibdeps.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 06 Dec 2025 23:02:46 +0100

glibc (2.42-4) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Dec 2025 23:03:48 +0100

glibc (2.42-3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/any/git-ldd-set-u.diff: backport fix to allow using
    set -u on ldd.  Closes: #1114824.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/any/git-linux-termios.diff: backport fix for termios
    regression with non-standard baud rate.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-sigreturn-SEGV.diff: catch SIGSEGV on
    returning from signal handler.
  * debian/patches/hurd-i386/git-rlimit-as.diff: Support RLIMIT_AS.
  * debian/patches/hurd-i386/local-aux-pagesz.diff: Fix getauxval(AT_PAGESZ).
  * debian/patches/hurd-i386/git-run-iconv-test.sh.diff: Fix running iconv
    tests.
  * debian/patches/hurd-i386/git-elf-ordering.diff: Fix running ELF ordering
    tests.
  * debian/patches/hurd-i386/git-rename.diff: Fix renaming directories with
    trailing slahes.
  * debian/patches/hurd-i386/git-signal-SSE-MMX.diff: Fix signals thrashing
    SSE&MMX state.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Nov 2025 19:36:10 +0100

glibc (2.42-2ubuntu5) resolute; urgency=medium

  * SECURITY UPDATE: use-after-free in wordexp_t fields
    - debian/patches/CVE-2025-15281.patch: posix: Reset wordexp_t fields
      with WRDE_REUSE
    - CVE-2025-15281
  * SECURITY UPDATE: integer overflow in memalign
    - debian/patches/CVE-2026-0861.patch: memalign: reinstate alignment
      overflow check
    - CVE-2026-0861
  * SECURITY UPDATE: memory leak in NSS DNS
    - debian/patches/CVE-2026-0915.patch: resolv: Fix NSS DNS backend for
      getnetbyaddr
    - CVE-2026-0915

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 30 Jan 2026 14:27:46 +0530

glibc (2.42-2ubuntu4) resolute; urgency=medium

  * Stop building with --enable-sframe for now.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Jan 2026 03:25:35 +0100

glibc (2.42-2ubuntu3) resolute; urgency=medium

  * No-change rebuilding using binutils 2.42.50.20260119.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Jan 2026 13:55:08 +0100

glibc (2.42-2ubuntu2) resolute; urgency=medium

  *  Fix gconv regression on i386 due to modules being multi-arch foreign
     while containing arch-specific solibs.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 28 Oct 2025 18:33:33 -0400

glibc (2.42-2ubuntu1) resolute; urgency=medium

  [ Simon Chopin ]
  * Disable ELF metadata because it creeps into everything (LP: #2109333)

  [ Simon Poirier ]
  * Merge Debian glibc 2.42 branch. Dropped changes, superseded:
    - Fix pthread page guard on linux<6.13
    - Revert dropping the ldconfig wrapper, as we still have a lot of packages
      that don't ship a trigger but instead call in postinst. (LP: #2127856)
    - Explicitly enable sframe
  * d/p/git-updates.diff: Update from upstream stable branch.

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 20 Oct 2025 12:03:47 +0200

glibc (2.42-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-random-malloc.diff: Use upstream patch.

  [ Michael Biebl ]
  * debian/rules.d/build.mk: remove /lib from ld.so.conf files.  Closes:
    #1111805.

  [ Luca Monducci ]
  * Update Italian debconf translation.  Closes: #1111902.

  [ Aurelien Jarno ]
  * debian/control.in/libc, debian/rules.d/debhelper.mk: change
    libc-gconv-modules-extra Recommends into a Depends as many packages still
    use the extra gconv modules.
  * debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/hurd-i386/git-random-malloc.diff: upstreamed.
    - debian/symbols.wildcards: add new GLIBC_ABI_DT_X86_64_PLT,
      GLIBC_ABI_GNU_TLS and GLIBC_ABI_GNU2_TLS versions.
  * debian/sysdeps/riscv64.mk: remove TIMEOUTFACTOR override as buildds are
    not QEMU based anymore.
  * debian/sysdeps/riscv64.mk: configure with --enable-multi-arch.
  * debian/control.in/main: drop ${shlibs:Depends} for
    libc-gconv-modules-extra to avoid creating a dependency loop. This can be
    re-added once libc6 changes back the Depends into a Recommends.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Sep 2025 23:05:31 +0200

glibc (2.42-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - debian/copyright: update following upstream changes.
    - debian/symbols.wildcards: add 2.42.
    - debian/control.in/main: bump binutils-for-host Build-Depends to >= 2.39.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/hurd-i386/git-proc_reauth.diff: upstreamed.
    - debian/patches/hurd-i386/git-mig-strncpy.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_sigmask_nothread.diff: upstreamed.
    - debian/patches/hurd-i386/git-rt-timedwait-realtime.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_setcancel.diff: upstreamed.
    - debian/patches/hurd-i386/git-dup-refcnt.diff: upstreamed.
    - debian/patches/hurd-i386/git-xstate.diff: upstreamed.
    - debian/patches/hurd-i386/git-utime-EINVAL.diff: upstreamed.
    - debian/patches/hurd-i386/git-xstate-initialized.diff: upstreamed.
    - debian/patches/hurd-i386/git-signal-fpe-exceptions.diff: upstreamed.
    - debian/patches/hurd-i386/git-symlink-eexist.diff: upstreamed.
    - debian/patches/hurd-i386/git-rename.diff: upstreamed.
    - debian/patches/hurd-i386/local-pthread_once.diff-2.42: renamed and
      replace debian/patches/hurd-i386/local-pthread_once.diff.
    - debian/patches/hurd-i386/hurd-i386/local-no_unsupported_ioctls.diff:
      rebased.
    - debian/patches/hurd-i386/local-static_pthread_setcancelstate.diff:
      dropped, obsolete.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
  * debian/debhelper.in/libc.preinst: drop support code for upgrading from
    glibc < 2.34.
  * debian/debhelper.in/libc.preinst: remove kFreeBSD support code.
  * debian/debhelper.in/libc.postinst: remove support code to upgrade to
    trixie.
  *  Drop support for /etc/locales.alias (Closes: #1095101):
    - debian/debhelper.in/locales.install: stop installing /etc/locales.alias
    - debian/debhelper.in/locales.links: remove
    - debian/local/usr_sbin/locale-gen: stop passing locales.alias in the
      localedef call.
    - debian/patches/all/local-alias-et_EE.diff: drop, obsolete.
    - debian/patches/all/local-ru_RU.diff: drop, obsolete
  * debian/rules.d/{build.mk,debhelper.mk}: add makefile dependencies to get
    the package buildable with make --shuffle=reverse.  Closes: #1105334.
  * debian/rules, debian/rules.d/control.mk: remove temporary libc{6,6.1,0.3}
    files after the debian/control rule instead of in the clean rule.
  * debian/rules: drop now useless removal of files from the clean rule.
  * debian/rules: simplyfing using dpkg mk fragments files.
  * debian/rules.d/debhelper.mk: merge normal and stage1 debhelper_% targets.
  * Split-out gconv modules for non-Latin-1 and non-UTF encoding into a
    separate package (Closes: #1005193):
    - debian/control.in/main: add libc-gconv-modules-extra.
    - debian/control.in/libc: recommends libc-gconv-modules-extra.
    - debian/debhelper.in/libc.install: do not list any gconv file, the list
      of gconv files is now computed dynamically.
    - debian/rules.d/debhelper.mk: dynamically compute the list of gconv files
      based on the gconv configuration files, for both the libc and
      libc-gconv-modules-extra packages.
    - debian/rules: Add libc-gconv-modules-extra to the list of arch:any
      packages to build.
  * debian/control.in/main, debian/sysdeps/{amd64,arm64,i386,x32}.mk: enable
    SFrame support for amd64 and arm64 builds.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails.  Closes: #1110125.
  * debian/patches/hurd-i386/git-random-malloc.diff: Fix /hurd/random startup.

  [ Simon Chopin ]
  * debian/rules.d/build.mk: use envvars for CFLAGS rather than configparms
    (LP: #2115734)
  * debian/rules.d/tarball.mk: document the hash when importing from upstream
    branch.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 Aug 2025 15:23:49 +0200

glibc (2.42-0ubuntu3) questing; urgency=medium

  * Fix pthread page guard on linux<6.13 (LP: #2121834)
    Thanks to Adhemerval Zanella.

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 08 Sep 2025 11:50:33 +0200

glibc (2.42-0ubuntu2) questing; urgency=medium

  [ Benjamin Drung ]
  * build: use date --rfc-email for Rust coreutils compat (LP: #2122100)

  [ Simon Poirier ]
  * Explicitly enable sframe (LP: #2122099)
  * d/p/git-updates.diff: update from upstream stable branch.
    - AArch64: Fix SVE powf routine [BZ #33299]
    - i386: Also add GLIBC_ABI_GNU2_TLS version [BZ #33129]
    - x86-64: Add GLIBC_ABI_DT_X86_64_PLT [BZ #33212]
    - x86-64: Add GLIBC_ABI_GNU2_TLS version [BZ #33129]
    - i386: Add GLIBC_ABI_GNU_TLS version [BZ #33221]
    - Use TLS initial-exec model for __libc_tsd_CTYPE_* thread variables [BZ #33234]
    - malloc: Fix checking for small negative values of tcache_key
    - malloc: Make sure tcache_key is odd enough
    - malloc: Fix MAX_TCACHE_SMALL_SIZE
    - malloc: Remove redundant NULL check
  * d/p/hurd-i386/git-random-malloc.diff: drop useless patch

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 05 Sep 2025 10:59:45 -0400

glibc (2.42-0ubuntu1) questing; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - debian/copyright: update following upstream changes.
    - debian/symbols.wildcards: add 2.42.
    - debian/control.in/main: bump binutils-for-host Build-Depends to >= 2.39.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/hurd-i386/git-proc_reauth.diff: upstreamed.
    - debian/patches/hurd-i386/git-mig-strncpy.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_sigmask_nothread.diff: upstreamed.
    - debian/patches/hurd-i386/git-rt-timedwait-realtime.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_setcancel.diff: upstreamed.
    - debian/patches/hurd-i386/git-dup-refcnt.diff: upstreamed.
    - debian/patches/hurd-i386/git-xstate.diff: upstreamed.
    - debian/patches/hurd-i386/git-utime-EINVAL.diff: upstreamed.
    - debian/patches/hurd-i386/git-xstate-initialized.diff: upstreamed.
    - debian/patches/hurd-i386/git-signal-fpe-exceptions.diff: upstreamed.
    - debian/patches/hurd-i386/git-symlink-eexist.diff: upstreamed.
    - debian/patches/hurd-i386/git-rename.diff: upstreamed.
    - debian/patches/hurd-i386/local-pthread_once.diff-2.42: renamed and
      replace debian/patches/hurd-i386/local-pthread_once.diff.
    - debian/patches/hurd-i386/hurd-i386/local-no_unsupported_ioctls.diff:
      rebased.
    - debian/patches/hurd-i386/local-static_pthread_setcancelstate.diff:
      dropped, obsolete.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
  * debian/debhelper.in/libc.preinst: drop support code for upgrading from
    glibc < 2.34.
  * debian/debhelper.in/libc.preinst: remove kFreeBSD support code.
  * debian/debhelper.in/libc.postinst: remove support code to upgrade to
    trixie.
  *  Drop support for /etc/locales.alias (Closes: #1095101):
    - debian/debhelper.in/locales.install: stop installing /etc/locales.alias
    - debian/debhelper.in/locales.links: remove
    - debian/local/usr_sbin/locale-gen: stop passing locales.alias in the
      localedef call.
    - debian/patches/all/local-alias-et_EE.diff: drop, obsolete.
    - debian/patches/all/local-ru_RU.diff: drop, obsolete
  * debian/rules.d/{build.mk,debhelper.mk}: add makefile dependencies to get
    the package buildable with make --shuffle=reverse.  Closes: #1105334.
  * debian/rules, debian/rules.d/control.mk: remove temporary libc{6,6.1,0.3}
    files after the debian/control rule instead of in the clean rule.
  * debian/rules: drop now useless removal of files from the clean rule.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails.  Closes: #1110125.
  * debian/patches/hurd-i386/git-random-malloc.diff: Fix /hurd/random startup.

  [ Simon Chopin ]
  * debian/rules.d/build.mk: use envvars for CFLAGS rather than configparms
    (LP: #2115734)
  * Merge Debian glibc 2.42 branch. Delta adjusted:
    - Ubuntu language pack support: drop locale-gen --aliases option to match
      Debian.
    - libc6 Breaks: bring back the systemd << 256 break as it is valid for
      upgrade paths from Noble
  * Re-add the trixie upgrade support code as we need it for upgrades from
    Noble.
  * d/README.Ubuntu: add some maintainer documentation.
  * Rebuild using GCC 15 to get GCS branch protection on arm64 (LP: #2119445)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 11 Aug 2025 15:45:16 +0200

glibc (2.41-12) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/debhelper.in/libc.postinst: Don't restart systemd when it does not
    work.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Aug 2025 19:34:49 +0200

glibc (2.41-11) unstable; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix iconv to not create executable files with -o.
    - Fix double-free after allocation failure in regcomp (GLIBC-SA-2025-0005
      / CVE-2025-8058).  Closes: #1109803.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Jul 2025 20:29:12 +0200

glibc (2.41-10) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails.
  * debian/patches/hurd-i386/local-pthread_once.diff: Pave the way for 2.42.

  [ Helmut Grohne ]
  * Partially restore init restarting. (Closes: #1108193)

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix sparc32 Fix argument passing to __libc_start_main
    - Fix error reporting (false negatives) in SGID tests

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Jul 2025 13:21:32 +0200

glibc (2.41-9ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2111998)
    Dropped changes, superseded:
    - Ignore test results on ppc64el, known issues.
    Amended:
    - d/tests: disable apparmor userns restrictions (LP #2059278)
      Changed to allow for running on non-restrictive kernels, as
      Ubuntu Apparmor sometimes lags behind the kernel.
  * Update from upstream stable branch
  * build: use envvars for CFLAGS rather than configparms (LP: #2115734)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 02 Jul 2025 17:38:51 +0200

glibc (2.41-9) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix loading TLS-using modules using LD_AUDIT.
    - Add tests for CVE-2025-4802.
    - Fix swapped wcsncpy and wcpncpy function names in IFUNC definition.
    - Fix elf/tst-execstack-prog-static-tunable on sparc64.
    - Remove POWER10 optimized strcmp function (GLIBC-SA-2025-0003 /
      CVE-2025-5702).  Closes: #1107365.
    - Remove POWER10 optimized strncmp function (GLIBC-SA-2025-0004 /
      CVE-2025-5745).  Closes: #1107366.
    - Remove POWER10 optimized memchr function.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-rename.diff: Make rename refuse trailing
    slashes.
  * debian/patches/hurd-i386/local-64b-align.diff: Avoid 64b typing error on
    RPCs using 64b fields in structures.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Jun 2025 06:49:31 +0200

glibc (2.41-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: xfail tst-execstack-prog-static-tunable
    on hurd-any. Drop duplicate unsupported stances commited uptream.
  * debian/patches/hurd-i386/git-dup-refcnt.diff: Fix detecting too many dups.
  * debian/patches/hurd-i386/git-xstate.diff: Fix restoring SSE state on
    signals.
  * debian/patches/hurd-i386/local-intr-msg-clobber.diff: Drop now-useless
    patch.
  * debian/patches/hurd-i386/git-utime-EINVAL.diff: Make *utime*s catch invalid
    times.
  * debian/patches/hurd-i386/git-xstate-initialized.diff: Fix crash in dash.
  * debian/patches/hurd-i386/git-signal-fpe-exceptions.diff: Fix crash in FPE
    handlers.
  * debian/patches/hurd-i386/git-symlink-eexist.diff: Fix gnulib testsuite.

  [ Adriano Rafael Gomes ]
  * Update Brazilian Portuguese debconf translation.  Closes: #1103446.

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: do not replace LIBC in debhelper.in files.
    This was used for lintian overrides, but it is not used anymore.  Closes:
    #1104099.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix elf/tst-audit10 test failure on x86 systems without AVX.  Closes:
      #1103303.
    - Fix pthread_getattr_np failure when executable stack tunable is set.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 May 2025 17:15:43 +0200

glibc (2.41-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-pthread_setcancel.diff: Fix tst-cond32.

  [ Atila KOÇ ]
  * Update Turkish debconf translation.  Closes: #1101162.

  [ Remus-Gabriel Chelu ]
  * Update Romanian debconf translation.  Closes: #1101814.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Build a FMA version of atanh, sinh and tanh functions using IFUNC on
      amd64.
    - Fix a crash on amd64 when disabling XSAVEC through the glibc.cpu.hwcaps
      tunable.
    - Extend glibc.rtld.execstack tunable to force executable stack.
    - Detect Intel Arrow Lake, Panther Lake, Clearwater Forest, and Diamond
      Rapids CPUs.
    - Handle unknown Intel processors with default tuning.
  * debhelper.in/libc.NEWS: add an entry to describe the executable stack
    change and provide workaround.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Apr 2025 21:40:49 +0200

glibc (2.41-6ubuntu2) questing; urgency=medium

  * Just a rebuild.
  * Ignore test results on ppc64el, known issues.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 21:11:23 +0200

glibc (2.41-6ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable
    Delta dropped (fixed locally in c-t-b):
    - Revert:
      * debian/control.in/*: mirror existing Conflicts: of libc6 multilib packages
        to libc6-dev multilib packages.  Closes: #1092278.
      to be able to build cross compilers again.
  * Adjust the new execstack-related Breaks (LP: #2100297)
  * Update from upstream stable branch:
    - Fix the bash FTBFS due to getenv shenanigans (LP: #2101101)
    - Fix the arm64 pkey test failure by skipping it in VMs (LP: #2100613)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 18 Mar 2025 12:04:00 +0100

glibc (2.41-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/rules.d/build.mk: Fix missing library-path to get just-built
    libmachuser and libhurduser.
  * debian/patches/hurd-i386/git-rt-timedwait-realtime.diff: Fix aio_suspend
    delay.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 14 Mar 2025 23:56:28 +0100

glibc (2.41-5) unstable; urgency=medium

  [ Pedro Ribeiro ]
  * Update Portuguese translation.  Closes: #1100065.

  [ Bjarni Ingi Gislason ]
  * debian/local/manpages/gencat.1: editorial fixes.  Closes: #1100190.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix race condition between pthread_cancel() and pthread_setcanceltype()
      affecting PARI/GP.  Closes: #1099624.
  * debian/control.in/libc: add more conflicts against shared libraries with
    executable stack.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 14 Mar 2025 21:07:20 +0100

glibc (2.41-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/libc: change breaks against postgresql-15-pllua to the
    fixed version available in apt.postgresql.org.  Closes: #1099197.
  * debian/control.in/libc: add more conflicts against shared libraries with
    executable stack.
  * debian/tests/upstream-testsuite: disable biarch testsuite for i386
    autopkgtest as the i386 debci runners are not powerful to run all the
    testsuites within the default timeout.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Remove an extra semicolon in math function declarations in
      bits/mathcalls.h.  Addresses: #1099232.
    - Move environ helper variables next to environ definition to help with
      statically interposing getenv.  Closes: #1099217.
  * debian/control.in/main: add conflicts against unscd.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-pthread_once.diff: Move pthread_once symbol
    to libc, to fix bison.
  * debian/patches/hurd-i386/git-pthread_sigmask_nothread.diff: Fix calling
    pthread_sigmask when no thread was created yet.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Mar 2025 10:54:43 +0100

glibc (2.41-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debhelper.in/libc{,-dev}.lintian-overrides: drop libm related lintian
    overrides, as lintian does not provide a multiarch compatible way to
    provide overrides.  Closes: #1099166, #1099167.
  * debian/salsa-ci.yml: add unpack-message-for-deb-data to
    SALSA_CI_LINTIAN_SUPPRESS_TAGS due to the above.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Mar 2025 15:24:08 +0100

glibc (2.41-2) sid; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/proc_reauth.diff: Mark as committed for 2.42.

  [ Aurelien Jarno ]
  * debian/debhelper.in/*.lintian-overrides, debian/source/lintian-overrides:
    update to limit the errors/warnings with recent lintian versions.
  * debian/salsa-ci.yml: add CI/CD pipeline configuration for salsa.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/m68k/local-dwarf2-buildfix.diff: drop, obsolete.
  * debian/patches/m68k/submitted-gcc34-seccomment.diff: drop, obsolete.
  * debian/patches/hppa/local-inlining.diff: drop, obsolete.
  * debian/control.in/libc: add breaks against dhcpcd (<< 1:10.1.0-7~), see
    #1096157.
  * debian/testsuite-xfail-debian.mk: mark math/test-float-log10 and
    math/test-float32-log10 as XFAIL on powerpc as requested by the porters.
  * debian/control.in/libc: add breaks against libraries with executable stack
    that can be dlopened().

  [ Camaleón ]
  * Update Spanish debconf translation.  Closes: #1098283.

  [ Paulo Henrique de Lima Santana ]
  * Update Brazilian Portuguese translation.  Closes: #1098500.

  [ Carles Pina i Estany ]
  * Update Catalan debconf translation.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Feb 2025 18:57:42 +0100

glibc (2.41-1ubuntu2) plucky; urgency=medium

  * Revert:
    * debian/control.in/*: mirror existing Conflicts: of libc6 multilib packages
      to libc6-dev multilib packages.  Closes: #1092278.
    to be able to build cross compilers again.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 06:07:01 +0100

glibc (2.41-1ubuntu1) plucky; urgency=medium

  * Merge 2.41-1 from Debian experimental.
    Dropped patch, fixed upstream:
    - d/p/ubuntu/submitted-broadcast-to-prevent-deadlock.diff
    - d/p/ubuntu/fix-fortify-source.patch
  * d/upstream/signing-key.asc: add Andreas Hüttel's key
  * XFAIL math/test-float-acospi and friends on ppc64el, see LP 2098505

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 04 Feb 2025 17:27:16 +0100

glibc (2.41-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - Add the sched_setattr and sched_getattr functions.  Closes: #870488.
    - Fix failure of pthread_cond_signal() to wake up pthread_cond_wait().
      Closes: #986724.
    - debian/copyright: update following upstream changes.
    - debian/symbols.wildcards: add 2.41.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/arm/git-hwcap2-constants.diff: upstreamed.
    - debian/patches/hurd-i386/git-fault-64bit.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_symbols.diff: upstreamed.
    - debian/patches/hurd-i386/git-tst-aligned-alloc-random-thread.diff:
      upstreamed.
    - debian/patches/hurd-i386/git-tst-aligned-alloc-random-thread-mcheck.diff:
      upstreamed.
    - debian/patches/hurd-i386/git-default_pager.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-MAP_NORESERVE.diff: upstreamed.
    - debian/patches/hurd-i386/git-signal-reply-port.diff: upstreamed.
    - debian/patches/hurd-i386/git-CMSG_DATA.diff: upstreamed.
    - debian/patches/hurd-i386/git-early-kill.diff: upstreamed.
    - debian/patches/hurd-i386/submitted-bind_umask2.diff: rebased.
    - debian/patches/hurd-i386/submitted-net.diff: rebased.
    - debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: rebased.
    - debian/patches/any/local-cudacc-float128.diff: dropped, obsolete.
    - debian/patches/any/git-iconv-*: upstreamed.
    - debian/patches/any/git-posix-fix-system-when-a-child-cannot-be*.patch:
      upstreamed.
  * debian/watch: rewrite pointing to git instead of release tarball (as we
    need to mangle it anyway).
  * debian/rules.d/tarball.mk: get rid of the now useless get-orig-source
    target.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: rebased.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Jan 2025 23:14:50 +0100

glibc (2.40-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/libc0.3.symbols.hurd-*: Prepare removal of experimental
    exec_exec_file_name and file_exec_file_name.
  * debian/patches/hurd-i386/local-exec_filename.diff: Drop old experimental
    patch.
  * debian/patches/hurd-i386/git-mig-strncpy.diff: ensure destination string is
    null terminated.

  [ Aurelien Jarno ]
  * debian/libc0.1.symbols.common: remove leftover from kfreebsd removal.
  * debhelper.in/locales.NEWS: remove asterisks list to make lintian happier.
  * debian/copyright: fix issues reported by lintian.
  * debian/tests/rebuild: rename into upstream-testsuite and only run the
    build-arch-post-check target instead of the full build.
  * debian/tests/control.in: update accordingly and drop fakeroot from the
    depends.
  * debian/rules.d/build.mk: display the failures again in the
    build-arch-post-check target, useful for debci which drop the middle of
    the autopkgtest log.

  [ Frans Spiesschaert ]
  * Update Dutch debconf translation.  Closes: #1094154.

  [ Bjarni Ingi Gislason ]
  * debian/local/manpages/locale.gen.5: editorial fixes.  Closes: #1095789.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 Feb 2025 11:20:09 +0100

glibc (2.40-6) unstable; urgency=medium

  [ Ian Jackson ]
  * debian/local/manpages/getconf.1: Mention `sysconf', mostly for the benefit
    of search.  Closes: #942866.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update for upcoming 2.41.
  * debian/testsuite-xfail-debian.mk: Update against make 4.4.
  * debian/patches/hurd-i386/git-CMSG_DATA.diff: Fix CMSG_DATA macro.
  * control: On hurd-amd64, break openssh before rebuild against this.
  * debian/patches/hurd-i386/git-early-kill.diff: Fix early kill.

  [ Helge Kreutzmann ]
  * Update German debconf translation.  Closes: #1092303.

  [ Aurelien Jarno ]
  * debian/control.in/arm{el,hf}, debian/sysdeps/arm{el,hf}.mk: drop disabled
    code for armel/armhf multilib. It has never been used in Debian and is
    also disabled in Ubuntu.
  * debian/control.in/*: mirror existing Conflicts: of libc6 multilib packages
    to libc6-dev multilib packages.  Closes: #1092278.
  * debian/rules: update copyright header with all the previous maintainers.
  * debian/copyright: rewrite in Machine-readable format.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes a buffer overflow when printing assertion failure message
      (GLIBC-SA-2025-0001 / CVE-2025-0395.

  [ Luca Boccassi ]
  * debian/control.in/libc: Fix breaks against sysvinit (source package) to
    target sysvinit-core instead (binary package).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Jan 2025 23:57:51 +0100

glibc (2.40-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-MAP_NORESERVE.diff: Add MAP_NORESERVE flag.
  * debian/patches/hurd-i386/git-signal-reply-port.diff: Fix hurd build
    against gcc 14.

  [ Bjarni Ingi Gislason ]
  * debian/local/manpages/update-locale.8: fix issues reported by troff.
    Closes: #1088003.

  [ Aurelien Jarno ]
  * debian/patches/any/git-iconv-do-not-report-*.patch: backport iconv return
    code with transliteration fix from upstream.  Closes: #1087670.
  * debian/debhelper.in/locales.templates: add a note to clarify that the C,
    C.UTF-8 and POSIX locales do not need to be generated.  Closes: #1091473.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * patches/any/git-posix-fix-system-when-a-child-cannot-be-created-BZ-3.patch:
    backport patch from upstream to fix return value of system() when a child
    process cannot be created.  Closes: #1088964.
  * debian/rules.d/debhelper.mk: explicitly pass the library path to
    dh_shlibdeps for multilib packages, to fix a FTBFS with rebootstrap which
    does not install the g++-XX-multilib build-dependency.  Closes: #1088166.

  [ Carles Pina i Estany ]
  * Update Catalan debconf translation.  Closes: #1091705.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 Jan 2025 11:56:38 +0100

glibc (2.40-4ubuntu1) plucky; urgency=medium

  * Merge 2.40-4 from Debian unstable

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 13 Dec 2024 10:17:04 +0200

glibc (2.40-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update hurd xfails.
  * debian/patches/hurd-i386/git-default_pager.h.diff: Ship
    mach/default_pager.h again.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix memory corruption with ancient i386 binaries using stdio. Closes:
      #1080244.
    - Fix FTBFS with gcc-14 on hppa.  Closes: #1084052.
    - Drop debian/patches/sparc/submitted-sparc-clone.diff (merged).
  * debian/patches/arm/git-hwcap2-constants.diff: backport for upstream to
    support HWCAP2 values on arm32.  Closes: #1086502.
  * debian/control: add Recommends: libc-dev (= ${binary:Version}) to
    libc-devtools.  Closes: #1087881.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Nov 2024 14:57:03 +0100

glibc (2.40-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Avoid tests overflowing memory.
  * debian/testsuite-xfail-debian.mk: Update hurd xfails.

  [ Aurelien Jarno ]
  * debian/rules: build with gcc-14.
  * debian/control.in/main: adjust g++-for-host version on arm64 to ensure
    PAC/BTI support.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/any/git-iconv-*: backport iconv fixes and improvement from
    upstream master.  Closes: #328303, #1000652.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Sep 2024 21:46:16 +0200

glibc (2.40-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/debhelper.in/libc-dev.install.hurd-amd64: Add missing libm-2.39.a.
  * debian/patches/hurd-i386/git-tst-aligned-alloc-random-thread{,-mcheck}.diff:
    Link threading tests with $(shared-thread-library).
  * debian/testsuite-xfail-debian.mk: Avoid tests overflowing memory.
  * debian/testsuite-xfail-debian.mk: Update hurd xfails.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Aug 2024 20:16:17 +0200

glibc (2.40-1ubuntu3) oracular; urgency=medium

  * Another update from the upstream release branch.
    It addresses an FTBFS of src:pam on i386 due to a regression caused by
    the ungetc fix in the previous upload, as well as the following upstream
    bug:
    - TLS for library gets reallocated when loaded in two contexts. [BZ 31717]

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 12 Sep 2024 10:17:04 +0200

glibc (2.40-1ubuntu2) oracular; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch.
    Most of the diff is documentation tweaks and changes to the test
    suite, with bugfixes for the following upstream bugs:
    - strerror, strsignal TLS not handled correctly for secondary namespaces
      (dlmopen, LD_AUDIT) [BZ 32026]
    - double call to ungetc causes uninitialized memory reading.
      (also: ungetc causes memory leak) [BZ 27821]
    - Random __strchrnul_evex512 failures [BZ 32078]
    - vfscanf returns too early if a match is longer than INT_MAX [BZ 27650]

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 09 Sep 2024 17:53:43 +0200

glibc (2.40-1ubuntu1) oracular; urgency=medium

  * Merge 2.40-1 from Debian experimental (LP: #2073372)
    Dropped changes:
    - d/p/ubuntu/lv_LV-currency.diff: applied upstream
    - d/p/ubuntu/apparmor/0001-*: applied upstream

    Refreshed patches:
    - d/p/ubuntu/fix-fortify-source.patch: adjusted to take new code into
      account
  * debian/patches/git-updates.diff: update from upstream stable branch

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 26 Jul 2024 11:16:06 +0200

glibc (2.40-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release.
    - debian/symbols.wildcards: add 2.40.
    - debian/patches/hurd-i386/git-context.diff: upstreamed.
    - debian/patches/hurd-i386/git-xattr.diff: upstreamed.
    - debian/patches/hurd-i386/git-proc_getchildren_rusage.diff: upstreamed.
    - debian/patches/hurd-i386/git-AT_NO_AUTOMOUNT.diff: upstreamed.
    - debian/patches/hurd-i386/git-intr-msg-clobber.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_self.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_self.2.diff: upstreamed.
    - debian/patches/hurd-i386/tg-sysvshm.diff: rebased.
    - debian/patches/hurd-i386/tg-sendmsg-SCM_CREDS.diff: rebased.
    - debian/patches/hurd-i386/local-exec_filename.diff: rebased.
    - debian/patches/all/local-remove-manual.diff: refreshed.
    - debian/patches/any/local-cross.patch: refreshed.
    - debian/patches/any/git-test-epoll.diff: upstreamed.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Jul 2024 07:14:59 +0200

glibc (2.39-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-fault-64bit.diff: Fix receiving exceptions.
  * debian/patches/hurd-i386/{tg-sendmsg-SCM_CREDS.diff,tg-ifaddrs_v6.diff}:
    Fix build with gcc-14.
  * debian/sysdeps/hurd-amd64.mk: Enable mvec.
  * debian/libc0.3.symbols.hurd-amd64: Add symbols for libmvec.
  * debian/patches/hurd-i386/git-pthread_symbols.diff: Fix missing symbols.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix build with libaudit 4.0.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Aug 2024 16:06:39 +0200

glibc (2.39-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes elf/check-localplt test on power* with recent binutils.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Jul 2024 19:09:58 +0200

glibc (2.39-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-pthread_self{,.2}.diff: Fix pthread_self()
    without libpthread.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes stdlib/tst-swapcontext2 test on hppa.  Closes: #1076512.
  * debian/rules.d/tarball.mk: remove useless code.
  * debian/sysdeps/arm64.mk: compile with -mbranch-protection=standard on
    arm64 to enable PAC/BTI support.  Closes: #1063515.
  * debian/control.in/main: build-depends on g++13-for-host (>= 13.3.0-3) on
    arm64 to ensure PAC/BTI support in GCC.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Jul 2024 22:58:49 +0200

glibc (2.39-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/any/submitted-static-copysignf128.diff: upstreamed.
    - debian/patches/any/submitted-static-fmod-fmodf.diff: upstreamed.
    - debian/patches/any/submitted-static-frexpf128.diff: upstreamed.
    - debian/patches/any/submitted-static-isnanf128.diff: upstreamed.
    - debian/patches/any/submitted-static-modf128.diff: upstreamed.
    - debian/patches/any/submitted-static-exp10.diff: upstreamed.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update for upcoming 2.40.
  * debian/debhelper.in/libc-udeb.install.hurd-amd64: Fix missing libhurduser.
  * debian/debhelper.in/libc-udeb.install.hurd-i386: Fix missing libhurduser.
  * debian/patches/hurd-i386/git-intr-msg-clobber.diff: Fix restoring message to be retried.
  * debian/patches/hurd-i386/local-intr-msg-clobber.diff: Fix message-retry overwrite.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jul 2024 21:20:54 +0200

glibc (2.39-3.1ubuntu3) oracular; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch.
    (LP: #2072649)
  * Adjust libc6-dev Breaks to account for binNMU vs no-change uploads
    (LP: #2072657)
  * Revert "Fall back to calling nanosleep syscall
    when __clock_nanosleep returns EINVAL" (LP: #2072766)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 11 Jul 2024 14:56:23 +0200

glibc (2.39-3.1ubuntu2) oracular; urgency=medium

  * No-change re-upload

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 28 Jun 2024 11:40:28 +0200

glibc (2.39-3.1ubuntu1) oracular; urgency=medium

  * Merge from Debian experimental.
    Dropped changes, no longer needed after Noble:
    - libc6-dev: bump the Replace libc6 version to 2.37-0ubuntu2
    - Adjust libc6-dev Breaks to account for binNMU vs no-change uploads
    - Fix Replaces version for libsotruss.so file move (LP #2042665)
    - d/control.in/i386: fix math-vector-fortran.h file move (LP #2039234)
    - d/control: declare a Breaks on older cyrus-imapd (LP #2011326)
    - Add Breaks on scipy (LP #2052659)
    Dropped changes, obsolete:
    - d/patches/arm/local-vfp-sysdeps.diff: Restore, and add another EABI
      attribute to hopefully avoid upsetting current binutils.
      -> The fixed binutils has been present in the archive since Lunar
    - d/patches/ubuntu/sdt-headers.patch: borrow patch from fedora to fix
      build failure on s390x.
      -> Presumably fixed in systemtap for a while now
    - Ubuntu-specific changelog
      -> We didn't ship it anywhere!
    Dropped, supersed in Debian:
    - Drop patch any/git-c-utf-8-language.diff
    - DEP17: Move files to /usr. (Closes: #1061248)
      -> See below
    - Drop transitional dependency from libc6-dev to libnsl-dev;
      required for bootstrapping libnsl against libtirpc3t64
  * Re-enable frame-pointer optimization on ppc64el (LP: #2064539)
  * Replace frame pointers by -mbackchain on s390x (LP: #2064538)
  * s390x: drop the 32-bit multi-arch variant (LP: #2067350)
  * ppc64el: raise the baseline to match the rest of the distro (LP: #2069040)
  * Remove previous DEP17 diversions in preinst (LP: #2070061)
  * Define _DISTRO_EVADE_TIME_BITS for the build, not setting _TIME_BITS
    and _FILE_OFFSET_BITS in the compiler by default.
  * debian/patches/git-updates.diff: update from upstream stable branch
    (LP: #2062228)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 12 Jun 2024 18:53:39 +0200

glibc (2.39-3.1) experimental; urgency=medium

  * Non-maintainer upload acked by Aurelien Jarno.
  * Same diff as the 2.38-12.1 upload to unstable.
  * Move all aliased files including the dynamic loader to /usr. (DEP17,
    Closes: #1061248)
    + Install a protective diversion for the dynamic loader to avoid accidental
      deletion (DEP17 P1 M8).
    + Manage the dynamic loader symlink via maintainer scripts and triggers
      in multilib packages to avoid interaction of Replaces and /usr-move.
    + Avoid a versioned dependency on base-files.
      - Continue managing toplevel multilib aliasing links for the time being.
      - Install protective diversions for aliasing symlinks that base-files
        would also install in case libc is upgraded first. (DEP17 P9 M4)

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 06 Jun 2024 09:18:03 +0200

glibc (2.38-14) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc.postinst: drop code to restart init systems.
    Closes: #1074607.
  * debian/control.in/libc: add breaks against systemd and sysvinit versions
    not using the libc-upgrade trigger.
  * debian/control.in/libc: add breaks against base-files version not
    providing /usr-merge aliasing symlinks.  Closes: #1074368.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Jul 2024 21:53:20 +0200

glibc (2.38-13) unstable; urgency=medium

  * debian/debhelper.in/libc-udeb.install.hurd-amd64: Complete DEP17.
  * debian/debhelper.in/libc-udeb.install.hurd-i386: Complete DEP17.
  * debian/patches/hurd-i386/git-xattr.diff: Fix xattr corner cases.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jun 2024 22:25:19 +0200

glibc (2.38-12.1) unstable; urgency=medium

  * Non-maintainer upload acked by Aurelien Jarno.
  * Move all aliased files including the dynamic loader to /usr. (DEP17,
    Closes: #1061248)
    + Install a protective diversion for the dynamic loader to avoid accidental
      deletion (DEP17 P1 M8).
    + Manage the dynamic loader symlink via maintainer scripts and triggers
      in multilib packages to avoid interaction of Replaces and /usr-move.
    + Avoid a versioned dependency on base-files.
      - Continue managing toplevel multilib aliasing links for the time being.
      - Install protective diversions for aliasing symlinks that base-files
        would also install in case libc is upgraded first. (DEP17 P9 M4)

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 06 Jun 2024 09:18:03 +0200

glibc (2.39-3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/arm64/local-remove-aarch64-bits-math-vector-h.diff: drop,
    buggy packages should be fixed instead.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jun 2024 23:26:50 +0200

glibc (2.39-2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/any/submitted-static-exp10.diff: add proposed patch to fix
    missing exp10 math function in libm.a on i386 and m68k.
  * debian/control.in/libc, debian/rules.d/control.mk, debian/sysdeps/ia64.mk:
    remove support for ia64, it is not supported upstream anymore.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 May 2024 00:54:31 +0200

glibc (2.39-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release.
    - Add support for fchmodat with flags != 0, using the fchmodat2 syscall.
      Closes: #1041415.
    - debian/symbols.wildcard: add 2.39.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/localedata/sort-UTF8-first.diff: rebased.
    - debian/patches/localedata/locale-ku_TR.diff: rebased.
    - debian/patches/localedata/locale-en_DK.diff: rebased.
    - debian/patches/localedata/locale-zh_TW.diff: rebased.
    - debian/patches/localedata/submitted-es_MX-decimal_point.diff.
    - debian/patches/hurd-i386/git-realpath_NULL.diff: upstreamed.
    - debian/patches/hurd-i386/git-tst-realpath-toolong.diff: upstreamed.
    - debian/patches/hurd-i386/git-hidden_chk.diff: upstreamed.
    - debian/patches/hurd-i386/git-glob_dirent.diff: upstreamed.
    - debian/patches/hurd-i386/git-powerpc-longjmp.diff: upstreamed.
    - debian/patches/hurd-i386/git-jemalloc.diff: upstreamed.
    - debian/patches/hurd-i386/git-jemalloc2.diff: upstreamed.
    - debian/patches/hurd-i386/git-error_t.diff: upstreamed.
    - debian/patches/hurd-i386/git-tls_dtors.diff: upstreamed.
    - debian/patches/hurd-i386/git-main_stack.diff: upstreamed.
    - debian/patches/hurd-i386/git-ucontext.diff: upstreamed.
    - debian/patches/hurd-i386/git-clean_ports.diff: upstreamed.
    - debian/patches/hurd-i386/git-statfs_f_ffree.patch: upstreamed.
    - debian/patches/hurd-i386/git-send_interrupt.diff: upstreamed.
    - debian/patches/hurd-i386/git-exec-intr.diff: upstreamed.
    - debian/patches/hurd-i386/git-ioctls-bsd.diff: upstreamed.
    - debian/patches/hurd-i386/git-dtable_reauth.diff: upstreamed.
    - debian/patches/hurd-i386/git-64bit-abi.diff: upstreamed.
    - debian/patches/i386/unsubmitted-quiet-ldconfig.diff: rebased.
    - debian/patches/i386/local-setcontext-revert-eax-ecx-edx.patch: rebased.
    - debian/patches/riscv64/git-risc-v-add-support-for-dl_runtime_profile.diff:
      upstreamed.
    - debian/patches/all/local-remove-manual.diff: rebased.
    - debian/patches/any/git-c-utf-8-language.diff: upstreamed.
    - debian/patches/any/local-qsort-memory-corruption.patch: removed, obsolete.
  * debian/rules.d/tarball.mk: make tarball creation reproducible.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-no-bootstrap-fs-access.2.diff: Now useless.
  * debian/patches/hurd-i386/local-fix-nss.diff: Refresh.
  * debian/patches/hurd-i386/submitted-net.diff: Refresh.
  * debian/testsuite-xfail-debian.mk: Update hurd results.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 May 2024 00:35:25 +0200

glibc (2.39-0ubuntu9) oracular; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/any/CVE-2024-33599.patch: CVE-2024-33599: nscd: Stack-
      based buffer overflow in netgroup cache.
    - CVE-2024-33599
  * SECURITY UPDATE: Null pointer
    - debian/patches/any/CVE-2024-33600_1.patch: CVE-2024-33600: nscd:
      Avoid null pointer crashes after notfound response.
    - debian/patches/any/CVE-2024-33600_2.patch: CVE-2024-33600: nscd: Do
      not send missing not-found response in addgetnetgrentX.
    - CVE-2024-33600
  * SECURITY UPDATE: Memory corruption
    - debian/patches/any/CVE-2024-33601_33602.patch: CVE-2024-33601, CVE-
      2024-33602: nscd: netgroup: Use two buffers in addgetnetgrentX.
    - CVE-2024-33601
    - CVE-2024-33602

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Mon, 10 Jun 2024 09:37:39 -0300

glibc (2.39-0ubuntu8.1) noble-security; urgency=medium

  * SECURITY UPDATE: OOB write in iconv plugin ISO-2022-CN-EXT
    - debian/patches/any/CVE-2024-2961.patch: fix out-of-bound writes when
      writing escape sequence in iconvdata/Makefile,
      iconvdata/iso-2022-cn-ext.c, iconvdata/tst-iconv-iso-2022-cn-ext.c.
    - CVE-2024-2961

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Apr 2024 09:52:32 -0400

glibc (2.39-0ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 07:42:05 +0000

glibc (2.39-0ubuntu7) noble; urgency=medium

  * d/p/ubuntu/apparmor: tests: gracefully handle AppArmor userns mitigation
  * d/tests: disable apparmor userns restrictions (LP: #2059278)
  * Disable CET on the i386 variant on the x32 arch (for c-t-b-p)
  * Add a bug reference to the block of conformance test xfails
  * xfail elf/tst-decorate-maps on ppc64el, failing due to page size (LP: #2058466)
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - LoongArch: Correct {__ieee754, _}_scalb -> {__ieee754, _}_scalbf
    - powerpc: Placeholder and infrastructure/build support to add Power11 related changes.
    - powerpc: Add HWCAP3/HWCAP4 data to TCB for Power Architecture.
    - linux: Use rseq area unconditionally in sched_getcpu (bug 31479)
    - Use gcc __builtin_stdc_* builtins in stdbit.h if possible
    - S390: Do not clobber r7 in clone [BZ #31402] (LP: #2055175)
    - math: Update mips64 ulps
    - mips: FIx clone3 implementation (BZ 31325)
    - arm: Remove wrong ldr from _dl_start_user (BZ 31339)
  * d/p/fix-fortify-source.patch: Fix FTBFS on Noble
  * XFAIL elf/tst-shstk-legacy-1g (tracked in LP 2059603)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 28 Mar 2024 15:16:51 +0100

glibc (2.39-0ubuntu6) noble; urgency=medium

  * Renable CET on x32 from i386 again as it may not work but disabling breaks
    the build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2024 10:39:45 +1300

glibc (2.39-0ubuntu5) noble; urgency=medium

  * debian/testsuite-xfail-debian.mk: XFAIL a bunch of the conformance tests
    on armhf presumably caused by the compiler now defaulting to 64-bit time_t
    and off_t. We should understand the issue but to make progress we'll
    ignore them for now.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 18:02:21 +1300

glibc (2.39-0ubuntu4) noble; urgency=medium

  * debian/sysdeps/linux.mk: undefine _TIME_BITS, glibc build breaks if
    this is set.

  [ Simon Chopin ]
  * Add Breaks on scipy (LP: #2052659)
  * Disable CET on x32 from i386 as it doesn't work in that configuration

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 18:44:11 +0000

glibc (2.39-0ubuntu3) noble; urgency=medium

  * Drop transitional dependency from libc6-dev to libnsl-dev; required
    for bootstrapping libnsl against libtirpc3t64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 17:52:56 +0000

glibc (2.39-0ubuntu2) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1061248)

  [ Julian Andres Klode ]
  * Further adjustments for Ubuntu's ldconfig.real

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 12:44:06 +0100

glibc (2.39-0ubuntu1) noble; urgency=medium

  * New upstream release
    Contains fixes for the following CVEs:
    - CVE-2023-6246: Heap buffer overflow in __vsyslog_internal()
    - CVE-2023-6779: Heap buffer overflow in __vsyslog_internal()
    - CVE-2023-6780: Integer overflow in __vsyslog_internal()
    Patches:
    - Several patches refreshed
    - d/p/localedata/lv_LV-current.patch: dropped, applied upstream
    - d/p/lp{2031495,2032624}: dropped, applied upstream
    - d/p/any/git-c-utf-8-language.diff: dropped, applied upstream
  * d/p/ubuntu/submitted-tests-gracefully-handle-AppArmor-userns-containment.patch:
    Fix the tests in recent apparmor environments (LP: #2048375)
  * Drop libnss-nis and libnss-nisplus to Suggests (LP: #2045241)
  * Fix Replaces version for libsotruss.so file move (LP: #2042665)
  * Remove libc6-dev dependency on libtirpc-dev (LP: #2045763)
  * Dropped a lot of Ubuntu-specific xfails that are now passing.
  * Drop the -prof variant to instead use frame pointers on all 64-bit
    architectures by default to match the rest of the distro (LP: #2042790)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Feb 2024 09:44:24 +0100

glibc (2.38-12) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc.postinst: do not try to call telinit if it is
    provided by systemd, it is just broken.  Closes: #1071462.
  * debian/debhelper.in/libc.postinst: test for $DPKG_ROOT first.
  * debian/debhelper.in/libc.postinst: emit libc-upgrade trigger on every
    upgrade and libc-major-upgrade on major glibc upgrade. This interface
    should be used by depending packages to restart themselves if needed.
  * debian/patches/git-updates.diff: update from upstream stable branch.

  [ Dominik Stadler ]
  * debian/local/usr_sbin/update-locale: improve error reporting in
   update-locale.  Closes: #1071084.

  [ Bjarni Ingi Gislason ]
  * debian/local/manpages/gencat.1: editorial fixes.  Closes: #1071549.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jun 2024 23:16:35 +0200

glibc (2.38-11) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: ignore a few math failures due to GCC
    13 on hppa.  Closes: #1070875.
  * debian/patches/any/submitted-static-*.diff: add proposed patches to fix
    various missing math function in libm.a.  Closes: #1070872.
  * debian/testsuite-xfail-debian.mk: mark tst-support_descriptors as XFAIL,
    due to sbuild bug #1070003.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 May 2024 23:17:18 +0200

glibc (2.38-10) unstable; urgency=medium

  * debian/control.in/main, debian/rules.d/control.mk: build-depends on
    g++$(DEB_GCC_VERSION)-for-host instead of listing cross-build-dependency
    per architecture. Also depends on g++$(DEB_GCC_VERSION)-multilib instead
    of hardcoding the version.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 10 May 2024 17:59:41 +0200

glibc (2.38-9) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/rules: build with gcc-13.
  * debian/tests/control: re-enable autopkgtest on arm64, the memory
    consumption should be lower with gcc-13.
  * debian/testsuite-xfail-debian.mk: remove now fixed riscv64 XFAILs.
  * debian/debhelper.in/libc-bin.{install,lintian-overrides}: move ldconfig to
    /usr/sbin.
  * debian/patches/git-updates.diff: update from upstream stable branch.

  [ M. Buecher ]
  * debian/local/usr_sbin/locale-gen: enhance to support referencing locales
    in /usr/local/share/i18n/locales through copy.  Closes: #1066887

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 10 May 2024 15:59:00 +0200

glibc (2.38-8) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/arm64/local-remove-aarch64-bits-math-vector-h.diff:
    temporarily remove aarch64 specific bits/math-vector.h file, so that the
    generic one is used instead. Addresses: #1070441, #1070443, #1070444,
    #1070446.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2024 22:34:15 +0200

glibc (2.38-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-context.diff: Add hurd-amd64 version of
    *context.
  * debian/testsuite-xfail-debian.mk: Update hurd-amd64-specific xfails
    accordingly.
  * debian/patches/hurd-i386/local-no-bootstrap-fs-access.2.diff: Also update
    localplt.data on hurd-amd64.
  * debian/patches/hurd-i386/local-stack_chk_guard.diff: Also update
    ld.abilist on hurd-amd64.
  * debian/patches/hurd-i386/local-exec_filename.diff: Also update
    libc.abilist on hurd-amd64.
  * debian/patches/hurd-i386/local-usr.diff: Also update libc.abilist on
    hurd-amd64.
  * debian/patches/hurd-i386/git-AT_NO_AUTOMOUNT.diff: Stop mapping
    AT_NO_AUTOMOUNT to O_NOTRANS.

  [ Aurelien Jarno ]
  * debian/patches/any/git-test-epoll.diff: improve test-epoll robustness
    improvements from upstream, useful when running the testsuite on
    overloaded hosts.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix utmp handling in 32-bit programs when using -D_TIME_BITS=64.
      Closes: #1042562.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 May 2024 21:55:28 +0200

glibc (2.38-6) experimental; urgency=medium

  * Merge from unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Jan 2024 19:28:04 +0100

glibc (2.38-5) experimental; urgency=medium

  [ Flavio Cruz ]
  * debian/patches/hurd-i386/git-64bit-abi.diff: Finalize hurd-amd64 ABI.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/riscv64/git-risc-v-add-support-for-dl_runtime_profile.diff:
    backport upstream support for profile/audit PLT setup on RISC-V.
  * debian/testsuite-xfail-debian.mk: drop tst-sprof-basic XFAIL from riscv64,
    now that dl_profile is supported.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Dec 2023 12:18:33 +0100

glibc (2.38-4) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix oversized __io_vtables in libio.  Closes: #1050371.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-ucontext.diff: Fix spurious ucontext content.
  * debian/debhelper.in/libc-udeb.install.hurd-amd64: Don't try to ship
    libutil.so in libc0.3-udeb.

  [ Flavio Cruz ]
  * debian/patches/hurd-i386/git-clean_ports.diff: Handle message iteration
    correctly.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Dec 2023 17:05:48 +0100

glibc (2.38-3ubuntu1) noble; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch
    Dropped changes, superseded by the upstream git updates:
    - debian/patches/CVE-2023-4911.patch: terminate immediately if end of
      input is reached in elf/dl-tunables.c.
    - d/p/u/0001-Fix-leak-in-getaddrinfo-introduced-by-the-fix-for-CV:
      Cherry-picked to fix a regression in one of the previous CVE fixes
  * Merge 2.38-3 from Debian experimental
    Dropped changes, included in Debian:
    - debian/patches/hurd-i386/git-powerpc-longjmp.diff: Fix build after chk
      hidden builtin fix.
  * Drop d/p/lp2032624.patch as advised by upstream.
    Downstream users will have to actually implement those types or stop
    pretending they're GCC. (LP: #2032624)
  * d/p/lp2031495.patch: fix test suite on armhf for -prof variant
    (LP: #2031495)
  * d/control.in/i386: fix math-vector-fortran.h file move (LP: #2039234)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 23 Oct 2023 18:54:07 +0200

glibc (2.38-3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Sep 2023 22:58:54 +0200

glibc (2.38-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-powerpc-longjmp.diff: Fix build after chk
    hidden builtin fix.
  * debian/libc0.3.symbols.hurd-amd64: Fix symbols for hurd-amd64.
  * debian/testsuite-xfail-debian.mk: Add hurd-amd64-specific xfails.

  [ Aurelien Jarno ]
  * debian/rules.d/build.mk: pass --enable-bind-now to configure.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Aug 2023 23:41:23 +0200

glibc (2.38-1ubuntu6) mantic; urgency=medium

  * SECURITY UPDATE: privilege escalation in ld.so
    - debian/patches/CVE-2023-4911.patch: terminate immediately if end of
      input is reached in elf/dl-tunables.c.
    - CVE-2023-4911

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Oct 2023 13:30:48 -0400

glibc (2.38-1ubuntu5) mantic; urgency=medium

  * Update from upstream release branche:
    - CVE-2023-4527: Stack read overflow with large TCP responses in
      no-aaaa mode
    - CVE-2023-4806: use after free in getcanonname
    - LP: #2031909: Fix oversized __io_vtables
  * d/p/u/0001-Fix-leak-in-getaddrinfo-introduced-by-the-fix-for-CV:
    Cherry-picked to fix a regression in one of the previous CVE fixes
    (LP: #2037516, CVE-2023-5156)
  * d/p/lp2032624.patch: add an escape hatch in arm64 math-vector.h.
    This should help fixing multiple FTBFS (LP: #2032624)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 27 Sep 2023 16:38:18 +0200

glibc (2.38-1ubuntu4) mantic; urgency=medium

  * Import the upstream maintenance branch
  * d/p/lp2031912.patch: Fix regression in sem_open that breaks OpenMPI
    (LP: #2031912)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 28 Aug 2023 17:23:19 +0200

glibc (2.38-1ubuntu3) mantic; urgency=medium

  * Adjust libc6-dev Breaks to account for binNMU vs no-change uploads

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 11 Aug 2023 17:05:47 +0200

glibc (2.38-1ubuntu2) mantic; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-powerpc-longjmp.diff: Fix build after chk
    hidden builtin fix.

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 09 Aug 2023 12:49:38 +0200

glibc (2.38-1ubuntu1) mantic; urgency=medium

  * Merge 2.38-1 from Debian experimental
    Dropped changes (either merged or otherwise implemented in Debian):
    - d/p/any/local-ldso-disable-hwcap: fix compilation error
    - d/sysdeps/arm64.mk: enable Memory Tagging Extension (MTE) checking on arm64
    - d/control: Fix missing version bumps that could cause issues on upgrades
    - d/libc6.symbols.common: include libc_malloc_debug.so.0 introduced in 2.34
    - d/libc6.symbols.common: remove libSegFault.so dropped in 2.35
    - d/symbols.wildcard: add GLIBC_ABI_DT_RELR symbol introduced back in 2.36
    - Enable building for the 'arc' architecture.
    - Add patch to restore DT_HASH tag/SHT_HASH section (see
      https://sourceware.org/bugzilla/show_bug.cgi?id=29456):
      - d/patches/restore-libc-DT_HASH.patch
    - Adapt to upstream changes to install the dynamic linker in its ABI
      location directly by installing it under its SONAME, but still in the
      multiarch directory.
    - Don't use DH_COMPAT=8 for stripping udeb packages either
    - Run checks for every pass before failing the build.
    - debian/patches/all/local-ldd.diff: Adjust extra safety check
      for changed ld-linux.so return value
    - debian/debhelper.in/libc-bin.install: Keep installing zdump
      adjust .install to upstream's changes
    - Make libc-dev depend on rpcsvc-proto
    - Add Breaks: against fakeroot (<< 1.25.3-1.1ubuntu2~)
      [ Can be safely dropped as not available in Jammy ]
    - Adjust the version number for the openssh-server break.
      [ that version was published before Focal ]
  * Fix the dh_strip exclusion for ld.so on armhf that broke back in impish
  * libc6-dev: bump the Replace libc6 version to 2.37-0ubuntu2
  * Cherry-pick patches from upstream maintenance branch:
    - 0001-x86-Fix-for-cache-computation-on-AMD-legacy-cpus.patch (LP: #2016252)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 08 Aug 2023 10:12:04 +0200

glibc (2.38-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release.
    - debian/symbols.wildcard: add 2.38.
    - debian/patches/hurd-i386/git-intr-msg-cfa.diff: upstreamed.
    - debian/patches/hurd-i386/git-intr-msg-stack.diff: upstreamed.
    - debian/patches/hurd-i386/git-exception-long.diff: upstreamed.
    - debian/patches/hurd-i386/git-ctty.diff: upstreamed.
    - debian/patches/hurd-i386/git-tst-system.diff: upstreamed.
    - debian/patches/hurd-i386/git-task_info_count.diff: upstreamed.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: dropped obsolete
      part and rebased.
    - debian/patches/hurd-i386/tg-hooks.diff: disabled.
    - debian/patches/i386/unsubmitted-quiet-ldconfig.diff: rebased.
    - debian/patches/any/local-ldconfig-multiarch.diff: rebased.
    - debian/sysdeps/arm64.mk, debian/libc6.symbols.arm64: enable mathvec on
      arm64.
  * debian/rules.d/build.mk: pass --enable-fortify-source to configure.
  * debian/testsuite-xfail-debian.mk: XFAIL tst-sprof-basic on mips* and
    riscv64 as dl_profile is not supported on those architectures.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/submitted-net.diff: Refresh.
  * debian/patches/hurd-i386/unsubmitted-prof-eintr.diff: Refresh.
  * debian/testsuite-xfail-debian.mk: Update hurd xfails.
  * debian/patches/hurd-i386/git-realpath_NULL.diff: Fix realpath(NULL, ...)
  * debian/patches/hurd-i386/git-tst-realpath-toolong.diff: Fix
    tst-realpath-toolong.
  * debian/patches/hurd-i386/git-hidden_chk.diff: Fix spurious PLTs.
  * debian/patches/hurd-i386/git-glob_dirent.diff: Fix strcpys in tests.
  * debian/libc0.3.symbols.hurd-i386: Update symbols.

  * Add hurd-amd64 support:
    - debian/control.in/libc: Add hurd-amd64 cases.
    - debian/debian/control.in/main: Add hurd-amd64 cases.
    - debian/debhelper.in/libc-dev.install.hurd-amd64: Add.
    - debian/debhelper.in/libc-udeb.install.hurd-amd64: Add.
    - debian/glibc-source.filelist: Add hurd-amd64.
    - debian/libc0.3.symbols.hurd-amd64: Add.
    - debian/patches/series.hurd-amd64: Symlink to series.hurd-i386.
    - debian/rules.d/control.mk: Add hurd-amd64 case.
    - debian/sysdeps/hurd-amd64.mk: Add.
    - debian/testsuite-xfail-debian.mk: Use hurd-i386 xfails for hurd-amd64 too.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Aug 2023 12:50:01 +0200

glibc (2.37-19) unstable; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a stack-based buffer overflow in nscd netgroup cache
      (CVE-2024-33599).
    - Fix a null pointer dereferences in nscd after failed netgroup cache
      insertion (CVE-2024-33600).
    - Fix a DoS in nscd in case of memory allocation failure (CVE-2024-33601).
    - Fix a memory corruption in nscd when the underlying NSS callback
      function does not use the buffer space to store all strings
      (CVE-2024-33602).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Apr 2024 23:59:01 +0200

glibc (2.37-18) unstable; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix out-of-bound writes when writing escape sequence in iconv
      ISO-2022-CN-EXT module (CVE-2024-2961).  Closes: #1069191.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 Apr 2024 07:10:32 +0200

glibc (2.37-17) unstable; urgency=medium

  * debian/debhelper.in/locales.config: revert to the version that has been
    working for 20+ years.  Closes: #1068737.
  * debian/debhelper.in/locales.config: define LEGACY_EE and use $EE and
    $LEGACY_EE to refer the the locales config files, as done in the postinst.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Apr 2024 23:43:53 +0200

glibc (2.37-16) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/submitted-AF_ROUTE.diff: Also comment out
    PF_ROUTE/AF_ROUTE.
  * debian/patches/hurd-i386/git-proc_getchildren_rusage.diff: Implement
    RUSAGE_CHILDREN, should fix the grep testsuite.

  [ Aurelien Jarno ]
  * debian/rules.d/build.mk: present glibc with a compiler that does not
    default to -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64, as upstream doesn't
    support this configuration. This has the consequence of hiding real issues
    found by the testsuite, but there is a consensus that this is the way to
    go for now. Thanks to Helmut Grohne for the hint and starting the
    discussion.  Closes: #1068251.
  * debian/debhelper.in/glibc-doc.{links,manpages},
    debian/local/manpages/pthread_*: drop the man pages for libpthread
    functions, as they are now included in manpages-dev.  Closes: #1068188.
  * debian/control.in/main: update glibc-doc description following the removal
    of the pthread manpages.
  * debian/control.in/main: downgrade the Recommends from libc-dev-bin to
    libc-devtools to a Suggests.  Closes: #1067909.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/sparc/submitted-sparc-clone.diff: pull patch from the
    upstream BTS to workaround issues with the clone syscall on sparc.
    Closes: #1063937.

  [ Johannes Schauer Marin Rodrigues]
  * debian/debhelper.in/libc.preinst: skip kernel check in chrootless mode.
    Closes: #1063624.

  [ Steve Langasek ]
  * Drop transitional dependency from libc6-dev to libnsl-dev.

  [ Gioele Barabucci ]
  * debian/debhelper.in/locales.config: Extract default environment LANG using
    only sed.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Apr 2024 00:15:44 +0200

glibc (2.37-15) unstable; urgency=critical

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a heap buffer overflow in __vsyslog_internal (CVE-2023-6246).
    - Fix an off-by-one heap buffer overflow in __vsyslog_internal
      (CVE-2023-6779).
    - Fix an integer overflow in __vsyslog_internal (CVE-2023-6780).
  * debian/patches/any/local-qsort-memory-corruption.patch: Fix a memory
    corruption in qsort() when using nontransitive comparison functions.
  * Set urgency to critical given the security issues.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Jan 2024 19:20:04 +0100

glibc (2.37-14) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/locales.config: always ask for the default locale,
    even if none are generated. This enables choosing C.UTF-8 as the default
    locale.  Closes: #1060288.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/tests/control: disable autopkgtest on arm64, as the debci runners
    to do not have enough resources for some of the tests anymore.  Closes:
    #1060202.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Jan 2024 07:13:18 +0100

glibc (2.37-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/rules.d/control.mk: enable build on loong64.  Closes: #1053717.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/any/local-tcsetaddr.diff: fix a thinko in handling of
    CREAD, CSIZE, PARENB bits in tcsetaddr(). Thanks to Ian Abbott for the
    hint.  Closes: #1050290.
  * Update Swedish debconf translation, by Martin Bagge.  Closes: #1056957.
  * debian/local/manpages/getconf.1: fix issues reported py mandoc.  Closes:
    #1052267.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-statfs_f_ffree.patch: Add missing f_ffree
    conversion.
  * debian/patches/hurd-i386/git-send_interrupt.diff: Fix spurious send
    interrupts.
  * debian/patches/hurd-i386/git-exec-intr.diff: Fix "invalid destination"
    errors during ghc builds.
  * debian/patches/hurd-i386/git-ioctls-bsd.diff: Fix missing BSD macros after
    including termios.h then ioctl.h
  * debian/patches/hurd-i386/git-dtable_reauth.diff: Fix restarting
    reauth_dtable on signal.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Dec 2023 14:23:52 +0100

glibc (2.37-12) unstable; urgency=critical

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails for hurd-i386.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a buffer overflow in the dynamic loader's processing of the
      GLIBC_TUNABLES environment variable (CVE-2023-4911).
  * Set urgency to critical given the security issue.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Oct 2023 19:14:06 +0200

glibc (2.37-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails for hurd-i386.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a memory leak in getaddrinfo introduced by fix for CVE-2023-4806
      (CVE-2023-5156).  Closes: #1053002.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Sep 2023 20:50:25 +0200

glibc (2.37-10) unstable; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix use after free in getcanonname (CVE-2023-4806).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Sep 2023 11:12:43 +0200

glibc (2.37-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update xfails for hurd-i386.
  * debian/patches/hurd-i386/git-main_stack.diff: Avoid exposing the vm_region
    symbol.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a stack read overflow in getaddrinfo in no-aaaa mode
      (CVE-2023-4527).  Closes: #1051958.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Sep 2023 07:33:43 +0200

glibc (2.37-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/libc0.3.symbols.hurd-i386: Update symbols.
  * debian/patches/hurd-i386/git-jemalloc.diff: Add support for static TSD
    data.
  * debian/patches/hurd-i386/git-jemalloc2.diff: Initialize ___pthread_self
    early.
  * debian/patches/hurd-i386/git-error_t.diff: Make error_t an int on C++.
  * debian/patches/hurd-i386/git-tls_dtors.diff: Fix TLS destructors.
  * debian/patches/hurd-i386/git-main_stack.diff: Fix stack information for main
    thread.

  [ Aurelien Jarno ]
  * debian/patches/local-disable-tst-bz29951.diff: removed, obsolete.
  * debian/patches/any/git-c-utf-8-language.diff: backport support from
    upstream to treat C.<encoding> locale like C locale.  Closes: #874160.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix the value of F_GETLK/F_SETLK/F_SETLKW with __USE_FILE_OFFSET64 on
      ppc64el.  Closes: #1050592.
    - debian/patches/hurd-i386/git-exception-long.diff: upstreamed.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Sep 2023 20:39:29 +0200

glibc (2.37-7) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: fix XFAIL for stdlib/isomac on sparc64.
  * debian/patches/hurd-i386/unsubmitted-getaux_at_secure.diff: rebase.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update for 2.38.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Aug 2023 11:55:58 +0200

glibc (2.37-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/control.in/libc, debian/control.in/main: removed Breaks already
    satisfied in oldstable (bullseye).
  * debian/debhelper.in/locales.config: stop reading /etc/environment, it has
    been deprecated for 15+ years.
  * debian/sysdeps/sparc64.mk: run the testsuite for 32-bit builds on sparc64
    again.
  * debian/testsuite-xfail-debian.mk: mark the following tests as XFAIL on
    sparc64 (Closes: #1040817):
    - elf/tst-rtld-run-static
    - nptl/tst-cancel24-static
    - socket/tst-socket-timestamp
    - stdlib/isomac
  * debian/testsuite-xfail-debian.mk: remove some tests from XFAIL on s390x.
  * debian/testsuite-xfail-debian.mk: remove some tests from XFAIL on i386.
  * debian/testsuite-xfail-debian.mk: remove some tests from XFAIL on riscv64.
  * Remove kfreebsd-amd64 and kfreebsd-i386 leftovers.  Closes: #979160.

  [ Luca Boccassi ]
  * Switch from /etc/default/locale to /etc/locale.conf.  Closes: #1038798.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 14 Jul 2023 17:04:23 +0200

glibc (2.37-5) unstable; urgency=medium

  * debian/local/usr_sbin/locale-gen: revert parallelisation code as running
    multiple instance of localedef in parallel corrupts locale-archive.
    Closes: #1040452.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Jul 2023 23:38:18 +0200

glibc (2.37-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/main: drop obsolete dependency on lsb-base (>= 3.0-6)
    from nscd.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix realloc causing high virtual memory usage.  Closes: #1040140.
  * debian/sysdeps/sparc64.mk: do not run testsuite for 32-bit builds on
    sparc64.  Closes: #1040462.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 06 Jul 2023 19:33:24 +0200

glibc (2.37-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-intr-msg-stack.diff: Fix potential crash when
    signals or cancellation happens while pushing mach_msg args.
  * debian/patches/hurd-i386/git-exception-long.diff: Fix hurd build against
    newer gnumach.
  * debian/patches/hurd-i386/git-ctty.diff: Fix background processes reading
    input.
  * debian/libc0.3.symbols.hurd-i386: Refresh against newer gnumach.
  * debian/testsuite-xfail-debian.mk: Drop Hurd XPASS.
  * debian/testsuite-xfail-debian.mk: Update hurd results.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jul 2023 14:10:37 +0200

glibc (2.37-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-task_info_count.diff: Fix passing size to
    task_info.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix FTBFS on hppa.
  * debian/sysdeps/alpha.mk, debian/control.in/main: build-depends on g++-12
    (>= 12.3.0-2) on alpha instead of forcing -mcpu=ev56.

  [ Andrej Shadura ]
  * debian/po/sk.po: Fix typos in the Slovak translation.

  [ Helmut Grohne ]
  * debian/rules.d/build.mk: disable -Werror when dpkg-builflags contains
    -Wno-error.

  [ наб ]
  * debian/local/usr_sbin/locale-gen: parallelise locales generation if
    possible.  Closes: #1037198.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Jun 2023 11:10:20 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog glibc-doc`.
